Bug 12889 - Improving documentation in C4::Members.pm
Summary: Improving documentation in C4::Members.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-08 16:02 UTC by shantanoo
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Updated documentation message. (251 bytes, patch)
2014-09-08 16:14 UTC, shantanoo
Details | Diff | Splinter Review
Diff using 'git format-patch' (835 bytes, patch)
2014-09-08 17:23 UTC, shantanoo
Details | Diff | Splinter Review
Diff using 'git format-patch' (832 bytes, text/plain)
2014-09-08 17:26 UTC, shantanoo
Details
Updated pod for AddMember (915 bytes, patch)
2015-01-13 01:37 UTC, Rochelle Healy
Details | Diff | Splinter Review
[PASSED QA] Updated pod for AddMember (979 bytes, patch)
2015-01-13 07:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description shantanoo 2014-09-08 16:02:38 UTC
In perldoc C4::Members.pm, AddMember does not explain what should be the keys for %borrower.

<snip>
   AddMember
         $borrowernumber = &AddMember(%borrower);

       insert new borrower into table Returns the borrowernumber upon success

       Returns as undef upon any db error without further processing
</snip>
Comment 1 shantanoo 2014-09-08 16:14:51 UTC Comment hidden (obsolete)
Comment 2 shantanoo 2014-09-08 17:23:11 UTC Comment hidden (obsolete)
Comment 3 shantanoo 2014-09-08 17:26:27 UTC
Created attachment 31468 [details]
Diff using 'git format-patch'
Comment 4 Rochelle Healy 2015-01-13 01:37:34 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-01-13 07:03:55 UTC
Created attachment 35139 [details] [review]
[PASSED QA] Updated pod for AddMember

Signed-off-by: Rochelle <Rochelle_healy@hotmail.com>

http://bugs.koha-community.org/show_bug.cgi?id=12889

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-01-15 00:49:51 UTC
Patch pushed to master.

Thanks and congratulations!
Comment 7 Chris Cormack 2015-01-18 02:33:15 UTC
Pushed to 3.18.x will be in 3.18.3